[未解決] プラグインを有効化する際に、3088文字分の予期しない出力が発生しました。

2012 年 5 月 12 日

ホーム フォーラム インストール [未解決] プラグインを有効化する際に、3088文字分の予期しない出力が発生しました。

このトピックには3件の返信が含まれ、3人の参加者がいます。5 年、 7 ヶ月前 mamekichi さんが最後の更新を行いました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #51542

    tksgaida
    参加者

    プラグインを有効化するとき、

    「プラグインを有効化する際に、3088文字分の予期しない出力が発生しました。“headers already sent” メッセージや、フィードやその他の問題に気づいた場合はプラグインを停止または削除してみてください。」

    というメッセージが出ます。

    Welcartのテーマを使用したいと思っていますが、テーマ一覧にはWelcartのものは追加されていない状況です。

    修正方法など分かる方がいらっしゃったら、お教えいただけると幸いです。

    どうぞよろしくお願いいたします。

    動作に関するご質問の場合は必ずご記入ください。


    WordPress のバージョン:3.3.1

    Welcart のバージョン:1.1.4

    ご利用のテーマ:Twenty Eleven 1.3

    症状を確認したブラウザ:Chrome

    サーバー(会社名、サービス名):Coreserver

    SSLの利用: 無し | 専用SSL | 共用SSL

    WordPress のパーマリンク設定:デフォルトhttp://kr.packchi.com/?p=123


    #64510

    tksgaida
    参加者

    別のスレッドで、FTPソフトを使わずにWPのインストール機能を使ったら大丈夫だったという方がいましたが、両方試してもダメでした。一応参考まで記しておきます。

    #64511

    nanbu
    参加者

    こんにちは。

    WelcartはPHPセーフモードには対応しておりません。

    https://www.welcart.com/wc-condition/

    よろしくお願いいたします。

    #64512

    mamekichi
    参加者

    下記のおまじないを wp-adminに.htaccessというファイル名で置いておけば、とりあえずよろしいかと.

    おまじないの意味は不勉強でわからんのですが….

    重複していたり不要な記述があるかもしれませんが、一応問題なく動いています。

    また、Welacatのデフォルトのテーマwelcart_defaultはpluginsのサブディレクトリのサブディレクトリの…..にありますが、それを手動で themes以下にコピーする必要があります。

    また、logsディレクトリの3つのファイルに書き込み権がないのでアップデート毎に修正が必要です。

    他にssl関係の修正がありますが、これは詳しい記述がhttp://support.welcart.com/にありますので、そちらを参照してください。

    AddHandler application/x-httpd-phpcgi .php

    <files load-styles.php>

    AddHandler application/x-httpd-php .php

    </files>

    <files async-upload.php>

    AddHandler application/x-httpd-phpcgi .php

    </files>

    <files upload.php>

    AddHandler application/x-httpd-phpcgi .php

    </files>

    <Files plugin-install.php>

    AddHandler application/x-httpd-phpcgi .php

    </Files>

    <files media-upload.php>

    AddHandler application/x-httpd-phpcgi .php

    </files>

    <Files update.php>

    AddHandler application/x-httpd-phpcgi .php

    </Files>

    <Files update-core.php>

    AddHandler application/x-httpd-phpcgi .php

    </Files>

    追記:最初の4行だけでよさそうな感じです。1行目は全部cgi動作させる記述で、次の3行は、レイアウトが崩れるのを防ぐためload-styles.phpだけcgi動作させないための記述です。5行目以下は1行目に含まれるので、1行目だけ削除しても動くと思います。

    追記2:ちょうど新バージョンがリリースされたので1行目だけ削除したら、字数は違いますが同じワーニングがでました。5行目以下とは別のファイルが関係しているのでしょう。ワーニングは無視しています。1〜4行目だけを書いて再度試したらメッセージはでませんでした。

4件の投稿を表示中 - 1 - 4件目 (全4件中)

このトピックに返信するにはログインが必要です。